Cocoon API: Class XSPUtil

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.xsp
Class XSPUtil

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xsp.XSPUtil

public class XSPUtil
extends java.lang.Object

Version:
  $Revision: 1.18 $ $Date: 2000/12/11 11:33:23 $
Author:
  Ricardo Rocha

Constructor Summary
`XSPUtil()`

Method Summary
`static java.lang.String` | `baseName(java.lang.String filename)`
`static java.lang.String` | `baseName(java.lang.String filename, java.lang.String suffix)`
`static org.w3c.dom.Node` | `cloneNode(org.w3c.dom.Node node, org.w3c.dom.Document factory)`
`protected static void` | `doMarkup(org.w3c.dom.Node node, java.lang.StringBuffer buffer)`
`static java.lang.String` | `encodeMarkup(java.lang.String string)`
`static java.lang.String` | `fileComponent(java.lang.String filename)`
`static java.lang.String` | `formatDate(java.util.Date date, java.lang.String pattern)`
`static java.lang.String` | `formDecode(java.lang.String s)`
`static java.lang.String` | `formEncode(java.lang.String text)`
`static java.lang.String` | `getContents(java.io.InputStream in)`
`static java.lang.String` | `getContents(java.io.InputStream in, java.lang.String encoding)`
`static java.lang.String` | `getContents(java.io.Reader reader)`
`static int` | `getCount()`
`static java.lang.String` | `getFileContents(java.lang.String filename)`
`static java.lang.String` | `getFileContents(java.lang.String filename, java.lang.String encoding)`
`static int` | `getSessionCount(javax.servlet.http.HttpSession session)`
`static java.lang.String` | `getURLContents(java.lang.String url)`
`static java.lang.String` | `getURLContents(java.lang.String url, java.lang.String encoding)`
`static boolean` | `isAlphaNumeric(char c)`
`static java.lang.String` | `normalizedBaseName(java.lang.String filename)`
`static java.lang.String` | `normalizedName(java.lang.String filename)`
`static java.lang.String` | `pathComponent(java.lang.String filename)`
`static java.lang.String` | `relativeFilename(java.lang.String filename, javax.servlet.http.HttpServletRequest request)`
`static java.lang.String` | `relativeFilename(java.lang.String filename, javax.servlet.http.HttpServletRequest request, javax.servlet.ServletContext context)`
`static java.lang.String[]` | `split(java.lang.String line)`
`static java.lang.String[]` | `split(java.lang.String line, java.lang.String delimiter)`
`static java.lang.String` | `toMarkup(org.w3c.dom.Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSPUtil

    public XSPUtil()

Method Detail

### pathComponent

    public static java.lang.String pathComponent(java.lang.String filename)

### fileComponent

    public static java.lang.String fileComponent(java.lang.String filename)

### baseName

    public static java.lang.String baseName(java.lang.String filename)

### baseName

    public static java.lang.String baseName(java.lang.String filename,
                                            java.lang.String suffix)

### normalizedBaseName

    public static java.lang.String normalizedBaseName(java.lang.String filename)

### normalizedName

    public static java.lang.String normalizedName(java.lang.String filename)

### relativeFilename

    public static java.lang.String relativeFilename(java.lang.String filename,
                                                    javax.servlet.http.HttpServletRequest request,
                                                    javax.servlet.ServletContext context)
                                             throws java.io.IOException

### relativeFilename

    public static java.lang.String relativeFilename(java.lang.String filename,
                                                    javax.servlet.http.HttpServletRequest request)
                                             throws java.io.IOException

### isAlphaNumeric

    public static boolean isAlphaNumeric(char c)

### split

    public static java.lang.String[] split(java.lang.String line)

### split

    public static java.lang.String[] split(java.lang.String line,
                                           java.lang.String delimiter)

### cloneNode

    public static org.w3c.dom.Node cloneNode(org.w3c.dom.Node node,
                                             org.w3c.dom.Document factory)

### toMarkup

    public static java.lang.String toMarkup(org.w3c.dom.Node node)

### doMarkup

    protected static void doMarkup(org.w3c.dom.Node node,
                                   java.lang.StringBuffer buffer)

### encodeMarkup

    public static java.lang.String encodeMarkup(java.lang.String string)

### formEncode

    public static java.lang.String formEncode(java.lang.String text)
                                       throws java.lang.Exception

### formDecode

    public static java.lang.String formDecode(java.lang.String s)
                                       throws java.lang.Exception

### getURLContents

    public static java.lang.String getURLContents(java.lang.String url)
                                           throws java.io.IOException

### getURLContents

    public static java.lang.String getURLContents(java.lang.String url,
                                                  java.lang.String encoding)
                                           throws java.io.IOException

### getFileContents

    public static java.lang.String getFileContents(java.lang.String filename)
                                            throws java.io.IOException

### getFileContents

    public static java.lang.String getFileContents(java.lang.String filename,
                                                   java.lang.String encoding)
                                            throws java.io.IOException

### getContents

    public static java.lang.String getContents(java.io.InputStream in,
                                               java.lang.String encoding)
                                        throws java.io.IOException

### getContents

    public static java.lang.String getContents(java.io.InputStream in)
                                        throws java.io.IOException

### getContents

    public static java.lang.String getContents(java.io.Reader reader)
                                        throws java.io.IOException

### formatDate

    public static java.lang.String formatDate(java.util.Date date,
                                              java.lang.String pattern)

### getCount

    public static int getCount()

### getSessionCount

    public static int getSessionCount(javax.servlet.http.HttpSession session)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.